program tecsim;
uses dos;

const mnp = 512;
type
		vector      = array[1..4]  of extended;
		datarow     = array[1..4] of extended;
        functype    = function(x : vector; d : datarow) : extended;
		dataset     = array[1..512]   of datarow;


var p			: vector;
var d 			: datarow;
	data        : dataset;
	sfunc       : functype;
	np,j,i		: integer;
	t			: extended;

function func
(par : vector; dat : datarow) : extended;

const etoten   = 2.3026;
      b1       = 5.;
      pkw      = 14.;

  var oh,t1,t2,t3,sol: extended;

  begin
  oh :=  exp((dat[1]-pkw) *etoten);
  sol :=exp(- par[1] * etoten);
  t1 := sol * exp(par[2] * etoten) * oh;
  t2 := sol * dat[2] * exp(par[3] * etoten);
  t3 := sol * dat[2] * oh * exp(par[4] * etoten);
  func:= -ln(sol+t1+t2+t3)/etoten
  end;

procedure enter;

var
        i,j                   : byte;
        fname                 : string[60];
        din,dout              : text;

  begin
  fname := paramstr(1);
  assign(din,fname+'.dat');
  if ioresult <> 0 then
    begin
    writeln('file ',fname,'.dat not found');
    halt
    end;
  reset(din);
  if ioresult <> 0 then
    begin
    writeln('file ',fname,'.dat cannot be opened');
    halt
    end;
{$I+}
  np := 0;
  while not seekeof(din) do
    begin
    np := succ(np);
	for j := 1 to 2 do read(din,data[np,j]);
    end;
  close(din)
  end;


begin
sfunc:=func;
enter;

p[1] := 8.16683;
p[2] := 3.11006;
p[3] := 1.08161;
p[4] := 6.81774;
for j := 1 to np do
begin
t := func(p, data[j]);
writeln(data[j,1]:4:1,t:6:3);
end;



end
 .

