{
.po2}
procedure enter;

const   trace   = true;

var
        i,j                   : byte;
        fname                 : string[60];
        din,dout              : text;

  begin
  nvpp := 2;
  fname := paramstr(1);
  if fname = '' then
    begin
    writeln('empty filename');
    writeln
    ('type fitter fname (cr) - with no extension');
    halt;
    end;
{$I-}
  assign(din,fname+'.cst');
  if ioresult <> 0 then
    begin
    writeln('file ',fname,'.cst not found');
    halt
    end;
  reset(din);
  if ioresult <> 0 then
    begin
    writeln('file ',fname,'.cst cannot be opened');
    halt
    end;
{$I+}
  read(din,maxiter);
  if trace then writeln('maximum number iterations is := ', maxiter:6);
  read(din,maxerr);
  if trace then writeln('max. error.: ', maxerr);
  if trace then writeln('start coord.:');
  m := 0;
  while not seekeof(din) do
    begin
    m := m + 1;
    read(din,result[m]);
    if trace then writeln(m:4,' ',result[m]:12)
    end;
  close(din);
{$I-}
  assign(din,fname+'.dat');
  if ioresult <> 0 then
    begin
    writeln('file ',fname,'.dat not found');
    halt
    end;
  reset(din);
  if ioresult <> 0 then
    begin
    writeln('file ',fname,'.dat cannot be opened');
    halt
    end;
{$I+}
  np := 0;
  while not seekeof(din) do
    begin
    np := succ(np);
    for j := 1 to nvpp do read(din,data[np,j]);
    end;
  if trace then
    begin
    writeln('data:');
    for i := 1 to np do
      begin
      for j := 1 to nvpp do write(data[i,j]);
      writeln;
      end;
    end;
  if trace then writeln(m,' parameters and ',np,' points');
  close(din)
  end;