{$F+}
{$M 65520,0,32768
.po2
Marco S Caceci MBT TA
}

program tecboo;
uses dos,fitter;
const
        verbose     = true;
var
        m           : byte;
        nvpp        : byte;
        i,j,
        np          : integer;
        maxiter     : longint;
        sbnumber,bnumber
                    : longint;
        maxerr      : extended;
        result,error: vector;
        data        : dataset;
        sfunc       : functype;
        t1,t2,t3,t4 : word;
        t           : extended;

{~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~}

{$I tecfunc}

{$I tecent}

{~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~}

begin
  sfunc := func;
enter;
writeln(' reading files ',paramstr(1),'.cst and ',paramstr(1),'.dat');
val(paramstr(2),sbnumber,t1);
bnumber := sbnumber;
writeln(' doing ',bnumber:5,' replicates');
if verbose then
  begin
  writeln(m,' parameters');
  writeln(np,' data points');
  writeln(' maximum number iterations is ', maxiter:6);
  writeln(' maximum error is             ', maxerr:6);
  writeln(' data:');
  for i := 1 to np do
    begin
    for j := 1 to nvpp do write(data[i,j]:13);
    writeln;
    end;
  writeln(' starting guesses:');
  for i := 1 to m do
    begin
    writeln(i:4,' ',result[i]:12)
    end
  end;
gettime(t1,t2,t3,t4);
t := t4 / 100. + t3 + t2 * 60 + t1 * 3600;

bstrap(sfunc,verbose,nvpp,m,np,maxiter,maxerr,data,result,error,bnumber);

gettime(t1,t2,t3,t4);
t:=  t4 / 100. + t3 + t2 * 60 + t1 * 3600 - t;
writeln(' time required: ',t:8:2,' seconds');
writeln('bootstrap results:');
for i := 1 to m+1 do
  writeln('par',i:3,' ',result[i]:14,' ',chr(241),' ',error[i]:14);
t := sbnumber/bnumber;
writeln('fraction fitting: ',t*100:5:3,' %');
end
 .


